Index: orxonox/trunk/src/lib/util/ini_parser.cc
===================================================================
--- orxonox/trunk/src/lib/util/ini_parser.cc	(revision 4833)
+++ orxonox/trunk/src/lib/util/ini_parser.cc	(revision 4836)
@@ -23,6 +23,6 @@
 
 /**
-   \brief constructs an IniParser using a file
-   \param filename: the path and name of the file to parse
+ *  constructs an IniParser using a file
+ * @param filename: the path and name of the file to parse
 */
 IniParser::IniParser (const char* filename)
@@ -36,5 +36,5 @@
 
 /**
-   \brief removes the IniParser from memory
+ *  removes the IniParser from memory
 */
 IniParser::~IniParser ()
@@ -44,7 +44,7 @@
 
 /**
-   \brief opens another file to parse
-   \param filename: path and name of the new file to parse
-   \return zero on success or -1 if an error occured;
+ *  opens another file to parse
+ * @param filename: path and name of the new file to parse
+ * @return zero on success or -1 if an error occured;
 */
 int IniParser::openFile(const char* filename)
@@ -65,7 +65,7 @@
 
 /**
-   \brief set the parsing cursor to the specified section
-   \param section: the name of the section to set the cursor to
-   \return zero on success or -1 if the section could not be found
+ *  set the parsing cursor to the specified section
+ * @param section: the name of the section to set the cursor to
+ * @return zero on success or -1 if the section could not be found
 */
 int IniParser::getSection( const char* section)
@@ -103,8 +103,8 @@
 
 /**
-   \brief gets the next VarName=VarValue pair from the parsing stream
-   \param name: a pointer to a buffer to store the name of the entry
-   \param value: a pointer to a buffer to store the value of the entry
-   \return zero if the buffers have been filled with data or -1 if there are no entries left in the current section
+ *  gets the next VarName=VarValue pair from the parsing stream
+ * @param name: a pointer to a buffer to store the name of the entry
+ * @param value: a pointer to a buffer to store the value of the entry
+ * @return zero if the buffers have been filled with data or -1 if there are no entries left in the current section
 */
 int IniParser::nextVar( const char* name, const char* value)
@@ -148,9 +148,9 @@
 
 /**
-   \brief directly acesses an entry in a section
-   \param name: the name of the entry to find
-   \param section: the section where the entry is to be found
-   \param defvalue: what should be returned in case the entry cannot be found
-   \return a pointer to a buffer conatining the value of the specified entry. This buffer will contain the data specified in defvalue in case the entry wasn't found
+ *  directly acesses an entry in a section
+ * @param name: the name of the entry to find
+ * @param section: the section where the entry is to be found
+ * @param defvalue: what should be returned in case the entry cannot be found
+ * @return a pointer to a buffer conatining the value of the specified entry. This buffer will contain the data specified in defvalue in case the entry wasn't found
 
    The returned pointer points to an internal buffer, so do not free it on your own. Do not give a NULL pointer to defvalue, this will certainly
Index: orxonox/trunk/src/lib/util/ini_parser.h
===================================================================
--- orxonox/trunk/src/lib/util/ini_parser.h	(revision 4833)
+++ orxonox/trunk/src/lib/util/ini_parser.h	(revision 4836)
@@ -1,5 +1,5 @@
 /*!
     \file ini_parser.h
-    \brief A small ini file parser
+  *  A small ini file parser
 
     Can be used to find a defined [Section] in an ini file and get the VarName=Value entries
Index: orxonox/trunk/src/lib/util/list.h
===================================================================
--- orxonox/trunk/src/lib/util/list.h	(revision 4833)
+++ orxonox/trunk/src/lib/util/list.h	(revision 4836)
@@ -23,5 +23,5 @@
 
 /**
-   \brief an iterator class
+ *  an iterator class
 
    this enables the user to iterate through a list very easely
@@ -44,6 +44,6 @@
 
 /**
-   \brief iterator constructor
-   \param startElement:  the first list element from the tList
+ *  iterator constructor
+ * @param startElement:  the first list element from the tList
 
    normaly you will use it like this:
@@ -68,5 +68,5 @@
 
 /**
-   \brief the destructor
+ *  the destructor
 */
 template<class T>
@@ -78,6 +78,6 @@
 
 /**
-   \brief use it to iterate through the list
-   \returns next list element
+ *  use it to iterate through the list
+ * @returns next list element
 */
 template<class T>
@@ -93,7 +93,7 @@
 
 /**
-   \brief gets the element after the selected one, sets the iterator to this point in the list
-   \param element the element to seek
-   \returns next list element
+ *  gets the element after the selected one, sets the iterator to this point in the list
+ * @param element the element to seek
+ * @returns next list element
 
   Attention: if you seek an element, the iterator pointer will point to the NEXT listelement after the argument!
@@ -120,5 +120,5 @@
 
 /**
-   \brief the list template class
+ *  the list template class
 
    you will use this as a generic list for all type of objects
@@ -151,5 +151,5 @@
 
 /**
-   \brief the constructor
+ *  the constructor
 */
 template<class T>
@@ -163,5 +163,5 @@
 
 /**
-   \brief the deconstructor
+ *  the deconstructor
 
    this will delete only the list. ATTENTION: the list is deleted, but the objects in the list will
@@ -186,6 +186,6 @@
 
 /**
-   \brief add an entity to the list
-   \param entity: the entity to add
+ *  add an entity to the list
+ * @param entity: the entity to add
 */
 template<class T>
@@ -207,6 +207,6 @@
 
 /**
-   \brief remove an entity from the list
-   \param entity: the entity to be removed
+ *  remove an entity from the list
+ * @param entity: the entity to be removed
 */
 template<class T>
@@ -235,5 +235,5 @@
 
 /**
-   \brief this will deletes the objects from the list
+ *  this will deletes the objects from the list
 */
 template<class T>
@@ -255,6 +255,6 @@
 
 /**
-   \brief returns the first element of the list
-   \returns first element
+ *  returns the first element of the list
+ * @returns first element
 */
 template<class T>
@@ -266,6 +266,6 @@
 
 /**
-   \brief function returns the last element of the list
-   \returns the last element
+ *  function returns the last element of the list
+ * @returns the last element
 */
 template<class T>
@@ -277,6 +277,6 @@
 
 /**
-   \brief returns true if the list is empty
-   \returns true if the list is empty
+ *  returns true if the list is empty
+ * @returns true if the list is empty
 */
 template<class T>
@@ -287,7 +287,7 @@
 
 /**
-   \brief checks if an entity is in the List
-   \param entity The entity to check for in the entire List.
-   \returns true if it is, false otherwise
+ *  checks if an entity is in the List
+ * @param entity The entity to check for in the entire List.
+ * @returns true if it is, false otherwise
 */
 template<class T>
@@ -311,6 +311,6 @@
 
 /**
-   \brief this returns the number of elements in the list
-   \returns number of elements
+ *  this returns the number of elements in the list
+ * @returns number of elements
 */
 template<class T>
@@ -322,6 +322,6 @@
 
 /**
-   \brief creates an itereator object and returns it
-   \returns the iterator object to this list
+ *  creates an itereator object and returns it
+ * @returns the iterator object to this list
 
    You will use this, if you want to iterate through the list
@@ -337,7 +337,7 @@
 
 /**
-   \brief this returns the next element after toEntity or the first if toEntity is last
-   \param toEntity: the entity after which is an entity, that has to be returned, sorry, terrible phrase
-   \returns the element after toEntity
+ *  this returns the next element after toEntity or the first if toEntity is last
+ * @param toEntity: the entity after which is an entity, that has to be returned, sorry, terrible phrase
+ * @returns the element after toEntity
 */
 template<class T>
@@ -359,6 +359,6 @@
 
 /**
-   \brief creates an array out of the list (ATTENTION: not implemented)
-   \returns pointer to the array beginning
+ *  creates an array out of the list (ATTENTION: not implemented)
+ * @returns pointer to the array beginning
 
    ATTENTION: function is not implemented and wont do anything
Index: orxonox/trunk/src/lib/util/substring.cc
===================================================================
--- orxonox/trunk/src/lib/util/substring.cc	(revision 4833)
+++ orxonox/trunk/src/lib/util/substring.cc	(revision 4836)
@@ -18,6 +18,6 @@
 
 /**
-   \brief breaks a string into parts that were initially seperated by comma
-   \param string the string to break into substrings
+ *  breaks a string into parts that were initially seperated by comma
+ * @param string the string to break into substrings
 */
 
@@ -68,5 +68,5 @@
 
 /**
-   \brief removes the object from memory
+ *  removes the object from memory
 */
 SubString::~SubString()
@@ -81,7 +81,7 @@
 
 /**
-   \brief get a particular substring
-   \param i the ID of the substring to return
-   \returns the designated substring or NULL if an invalid ID was given
+ *  get a particular substring
+ * @param i the ID of the substring to return
+ * @returns the designated substring or NULL if an invalid ID was given
 */
 const char* SubString::getString( int i)
